### Function

# RB search_fold

#### Declaration [src]

    gchar*
    rb_search_fold (
      const char* original
    )

#### Description [src]

Returns a case-folded and punctuation-stripped version of `original`, useful for performing text searches.

#### Parameters

`original`

  Type: `const char*`

  The string to fold.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `gchar*`

Case-folded string.

The caller of the function takes ownership of the data, and is responsible for freeing it.
The value is a NUL terminated UTF-8 string.